## RygelPlaySpeedRequest

RygelPlaySpeedRequest — This class represents a DLNA PlaySpeed request (PlaySpeed.dlna.org)

## Functions

gboolean | rygel_play_speed_request_equals ()
RygelPlaySpeedRequest * | rygel_play_speed_request_new ()
RygelPlaySpeedRequest * | rygel_play_speed_request_new_from_string ()
RygelPlaySpeed * | rygel_play_speed_request_get_speed ()
gboolean | rygel_play_speed_request_supported ()

## Properties

RygelPlaySpeed * | speed | Read

## Types and Values

#define | RYGEL_TYPE_PLAY_SPEED_REQUEST
#define | RYGEL_PLAY_SPEED_REQUEST_PLAYSPEED_HEADER
struct | RygelPlaySpeedRequest
struct | RygelPlaySpeedRequestClass
enum | RygelPlaySpeedError

## Object Hierarchy

        GObject
        ╰── RygelPlaySpeedRequest

## Description

## Functions

### rygel_play_speed_request_equals ()

    gboolean
    rygel_play_speed_request_equals (RygelPlaySpeedRequest *self,
                                     RygelPlaySpeedRequest *that);

#### Parameters

self | the RygelPlaySpeedRequest instance |
that |  |

### rygel_play_speed_request_new ()

    RygelPlaySpeedRequest *
    rygel_play_speed_request_new (gint numerator,
                                  guint denominator);

#### Parameters

numerator |  |
denominator |  |

### rygel_play_speed_request_new_from_string ()

    RygelPlaySpeedRequest *
    rygel_play_speed_request_new_from_string
                                   (const gchar *speed,
                                    GError **error);

#### Parameters

speed |  |
error | location to store the error occuring, or `NULL` to ignore. | [error-domains RygelPlaySpeedError]

### rygel_play_speed_request_get_speed ()

    RygelPlaySpeed *
    rygel_play_speed_request_get_speed (RygelPlaySpeedRequest *self);

Get and return the current value of the "speed" property.

#### Parameters

self | the RygelPlaySpeedRequest instance to query |

#### Returns

the value of the "speed" property

### rygel_play_speed_request_supported ()

    gboolean
    rygel_play_speed_request_supported (RygelHTTPGet *request);

Return true if playspeed is supported

This method utilizes elements associated with the request to determine if a PlaySpeed request is supported for the given request/resource.

#### Parameters

request |  |

## Types and Values

### RYGEL_TYPE_PLAY_SPEED_REQUEST

    #define RYGEL_TYPE_PLAY_SPEED_REQUEST (rygel_play_speed_request_get_type ())

The type for RygelPlaySpeedRequest.

### RYGEL_PLAY_SPEED_REQUEST_PLAYSPEED_HEADER

    #define RYGEL_PLAY_SPEED_REQUEST_PLAYSPEED_HEADER "PlaySpeed.dlna.org"

### struct RygelPlaySpeedRequest

    struct RygelPlaySpeedRequest;

This class represents a DLNA PlaySpeed request (PlaySpeed.dlna.org)

### struct RygelPlaySpeedRequestClass

    struct RygelPlaySpeedRequestClass {
    	GObjectClass parent_class;
    };

The class structure for `RYGEL_TYPE_PLAY_SPEED_REQUEST`. All the fields in this structure are private and should never be accessed directly.

#### Members

### enum RygelPlaySpeedError

#### Members

RYGEL_PLAY_SPEED_ERROR_INVALID_SPEED_FORMAT |  |
RYGEL_PLAY_SPEED_ERROR_SPEED_NOT_PRESENT |  |

## Property Details

### The `“speed”` property

      “speed”                    RygelPlaySpeed *

speed.

Flags: Read